package de.stoermer.xxx.domain.aufgaben;

import de.stoermer.xxx.domain.Spieler;

public abstract class Aufgabe {
	
	private final Spieler spieler1; // Der bestrafte oder beglückte
	private final Spieler spieler2; // Der Bestrafer oder Beglücker
	private final String text;
	
	public Aufgabe(Spieler spieler1, Spieler spieler2, String text) {
		this.spieler1 = spieler1;
		this.spieler2 = spieler2;
		this.text = text;
	}

	public String anzeigeText() {
		return text.replace("$SPIELER1", spieler1.getName()).replace("$SPIELER2", spieler2.getName());
	}

	public abstract Timer getTimer();
	
	public abstract void ok();
	
	public abstract void abbrechen();

	public Spieler getSpieler1() {
		return spieler1;
	}

	public Spieler getSpieler2() {
		return spieler2;
	}
}
